Subject: B20: How to get version resource using windres...
From: [email-masked] (Jens Yllman)

11 Nov 1998 17:36:27 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Transfer-Encoding: 8bit
To: [email-masked]

 Hello,

 I just wondered how the version info should look in the .rc file. I've
tried this.

VERSIONINFO_1 VERSIONINFO 
FILEVERSION 0, 1, 0, 0
PRODUCTVERSION 0, 1, 0, 0
FILEOS VOS_NT_WINDOWS32
FILETYPE VFT_APP
BEGIN
 BLOCK "StringFileInfo"
 BEGIN
  BLOCK "041d04b0"
  BEGIN
   VALUE "CompanyName", "Jens Yllman\0"
   VALUE "FileDescription", "A small wallpaper changer.\0"
   VALUE "FileVersion", "0.1\0"
   VALUE "InternalName", "swwall\0"
   VALUE "LegalCopyright", "Copyright © Jens Yllman 1998\0"
   VALUE "OriginalFilename", "swwall.exe\0"
  END
 END

 BLOCK "VarFileInfo"
 BEGIN
  VALUE "Translation", 0x41d, 1200
 END
END

 And that compiles OK. But when I link it to my .exe the data is not
shown. But now windows thinks it has a version resource. But as I said.
I can not see the info. When I do properties on the .exe I se the
version page but it is empty.

 Anyone know anything about this?

 Jens Yllman
 Software developer.
------------------------------------------------------------
Uniweb AB                            Phone:  +46 8 626 42 00
P O Box 745                          FAX:    +46 8 626 42 01
S-191 27  SOLLENTUNA
SWEDEN                               http://www.uniweb.se/
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".